Package com.collabnet.ce.soap60.webservices.discussion

# Class ForumSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.discussion.ForumSoapDO

public class ForumSoapDO extends FolderSoapDO
Represents a forum.

Since:
  4.3

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForumSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFooter()`
  Returns 'footer'.
  `String`
  `getForumType()`
  Returns 'forumType'.
  `boolean`
  `getListEnabled()`
  Returns 'listEnabled'.
  `String`
  `getListName()`
  Returns 'listName'.
  `String`
  `getPrefix()`
  Returns 'prefix'.
  `boolean`
  `getPrivateForum()`
  Returns 'privateForum'.
  `String`
  `getReplyTo()`
  Returns 'replyTo'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setFooter(String footer)`
  Sets 'footer'.
  `void`
  `setForumType(String forumType)`
  Sets 'forumType'.
  `void`
  `setListEnabled(boolean listEnabled)`
  Sets 'listEnabled'.
  `void`
  `setListName(String listName)`
  Sets 'listName'.
  `void`
  `setPrefix(String prefix)`
  Sets 'prefix'.
  `void`
  `setPrivateForum(boolean privateForum)`
  Sets 'privateForum'.
  `void`
  `setReplyTo(String replyTo)`
  Sets 'replyTo'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForumSoapDO

    public ForumSoapDO()

- ## Method Details

  - ### getListName

    public String getListName()
    Returns 'listName'. mailing list associated with this Forum
    Returns:
      Value of 'listName'.

  - ### setListName

    public void setListName(String listName)
    Sets 'listName'. mailing list associated with this Forum
    Parameters:
      `listName` - Value of 'listName'.

  - ### getListEnabled

    public boolean getListEnabled()
    Returns 'listEnabled'. Wether the mailing list is enabled or not
    Returns:
      Value of 'listEnabled'.

  - ### setListEnabled

    public void setListEnabled(boolean listEnabled)
    Sets 'listEnabled'. Wether the mailing list is enabled or not
    Parameters:
      `listEnabled` - Value of 'listEnabled'.

  - ### getForumType

    public String getForumType()
    Returns 'forumType'. Whether the forum type is moderated(MF) or un-moderated(UF)
    Returns:
      Value of 'forumType'.

  - ### setForumType

    public void setForumType(String forumType)
    Sets 'forumType'. Whether the forum type is moderated(MF) or un-moderated(UF)
    Parameters:
      `forumType` - Value of 'forumType'.

  - ### getPrefix

    public String getPrefix()
    Returns 'prefix'. The customized prefix text to be appended with subject for mailing list
    Returns:
      Value of 'prefix'.

  - ### setPrefix

    public void setPrefix(String prefix)
    Sets 'prefix'. The customized prefix text to be appended with subject for mailing list
    Parameters:
      `prefix` - Value of 'prefix'.

  - ### getFooter

    public String getFooter()
    Returns 'footer'. Customized footer text to be appended to the bottom of each mail for mailing list
    Returns:
      Value of 'footer'.

  - ### setFooter

    public void setFooter(String footer)
    Sets 'footer'. Customized footer text to be appended to the bottom of each mail for mailing list
    Parameters:
      `footer` - Value of 'footer'.

  - ### getPrivateForum

    public boolean getPrivateForum()
    Returns 'privateForum'. Whether the forum is private (1) or public (0)
    Returns:
      Value of 'privateForum'.

  - ### setPrivateForum

    public void setPrivateForum(boolean privateForum)
    Sets 'privateForum'. Whether the forum is private (1) or public (0)
    Parameters:
      `privateForum` - Value of 'privateForum'.

  - ### getReplyTo

    public String getReplyTo()
    Returns 'replyTo'. The reply to behavior that has been set for the forum
    Returns:
      Value of 'replyTo'.

  - ### setReplyTo

    public void setReplyTo(String replyTo)
    Sets 'replyTo'. The reply to behavior that has been set for the forum
    Parameters:
      `replyTo` - Value of 'replyTo'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)